//---------------------------------------------------------------------------
#ifndef AddRemvH
#define AddRemvH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class PACKAGE TAddRemove : public TComponent
{
public :
	__fastcall  TAddRemove(TComponent* Owner);
    __fastcall  ~TAddRemove( );

    bool    __fastcall  Execute( void );
    void    __fastcall  UpdateSource( void );

private :
    bool        FMove;
	TStrings   *FDest;
    TStrings   *FSource;

    void    __fastcall  SetMove( bool aMove );
    void    __fastcall  SetDest( TStrings *aStrings );
    void    __fastcall  SetSource( TStrings *aStrings );

__published :
	__property  bool        MoveItem    = { read = FMove, write = SetMove };
    __property  TStrings   *DestItems   = { read = FDest, write = SetDest };
    __property  TStrings   *SourceItems = { read = FSource, write = SetSource };
};
//---------------------------------------------------------------------------
#endif
 